OVN-K8S-OVERLAY(1)

NAME
ovn-k8s-overlay - initialize gateway

SYNOPSIS
ovn-k8s-overlay [GLOBAL OPTION]... COMMAND [COMMAND OPTIONS] [ARGUMENTS...]

DESCRIPTION

ovn-k8s-overlay to init gateway

COMMANDS

gateway-init Initialize k8s gateway node

COMMAND OPTIONS

--cluster-ip-subnet  value
    The cluster wide larger subnet of private ip addresses.

--physical-interface  value
    The physical interface via which external connectivity is provided.

--bridge-interface  value
    The OVS bridge interface via which external connectivity is provided.

--physical-ip  value
    The ip address of the physical interface or bridge interface via which external connectivity is provided. This should be of the form IP/MASK.

--node-name  value
    A unique node name.

--default-gw  value
    The next hop IP address for your physical interface.

--rampout-ip-subnets  value
    Uses this gateway to rampout traffic originating from the specified comma separated ip subnets. Used to distribute outgoing traffic via multiple gateways.

--nb-privkey  value
    The private key used for northbound API SSL connections.

--nb-cert  value
    The certificate used for northbound API SSL connections.

--nb-cacert  value
    The CA certificate used for northbound API SSL connections.

GLOBAL OPTIONS

--help, -h
    show help

--version, -v
    print the version

SEE ALSO
ovnkube(1), ovn-kube-util(1), ovn_k8s(5).

https://github.com/ovn-org/ovn-kubernetes